#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Shared_Image.H>
#include <FL/Fl_JPEG_Image.H>
#include <FL/Fl_Box.H>
#include <FL/fl_ask.H>	// fl_alert()
#include <errno.h>	// strerror()

int main() {
    fl_register_images();                       // initialize image lib
    Fl_Window     win(720,486);                 // make a window
    Fl_Box        box(10,10,720-20,486-20);     // widget that will contain image

    const char *filename = "/var/tmp/foo.jpg";  // load jpeg image into ram
    Fl_JPEG_Image jpg(filename);                // load jpeg image into ram
    if ( jpg.d() == 0 )				// should be zero if file doesn't exist
        { fl_alert("%s: %s", filename, strerror(errno)); }
    box.image(jpg);                             // attach jpg image to box

    win.show();
    return(Fl::run());
} 

